
<div class="card" >


    <!-- <div class="ibox-title mb-2">
 
       <div class="ibox-title-child" style="display: inline-block">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.TITLE'|translate}}</div>
     </div> -->
    <div class="card-body p-2">
 
       
 
                <!-- task -->
                <!-- <ng-container *ngFor="let history of opportuniteList " >
                  <ol class="list-group list-group-numbered">
                     <li class="list-group-item d-flex justify-content-between align-items-start">
                       <div class="ms-2 me-auto">
                         <div class="font-weight-bold">{{history.subject}}</div>
                         {{history.description}}
                       </div>
                       <div class="ms-2 me-auto">
                        <div >{{history.due_date | date : pipeParameters.date.formatNoTime}}</div>
                        <span [ngStyle]="history.status === 'A_FAIRE'  ? { color:'green' } : history.status === 'EN_COURS' ? { color:'blue' } : { color:'red' }"> {{history.status}}</span>
                      </div>
                     </li>
                   </ol>
                   
                </ng-container> -->
                <table class="table" *ngFor="let history of opportuniteList ">
                  <tbody>
                    <tr>
                      <th class="col-md-5" scope="row">{{history.subject}}</th>
                      <td class="col-md-3" >{{history.due_date | date : pipeParameters.date.formatNoTime}}</td>
                      <td   class="col-md-2"  [ngStyle]="history.status === 'A_FAIRE'  ? { color:'green' } : history.status === 'EN_COURS' ? { color:'blue' } : { color:'red' }">{{history.status}}</td>
                    </tr>  
                  </tbody>
                </table>

   
 
       <!-- no data found msg -->
       <div *ngIf="(!opportuniteList || opportuniteList.length === 0) "
             class="alert alert-primary text-center" role="alert">
          <div class="iq-alert-icon text-center">
                <i class="ri-information-line"></i>
          </div>
          <div class="iq-alert-text">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.NO_DATA'|translate}}</div>
       </div>
 
    </div>
 </div>
 